org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect

## Class InjectTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.InjectTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.InjectTest.Traversals

- Enclosing class:
    InjectTest

      public static class InjectTest.Traversals
      extends InjectTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.InjectTest

      `InjectTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Integer,Integer>` | `get_g_inject()`
    `Traversal<Integer,Map<String,Object>>` | `get_g_injectX10_20_null_20_10_10X_groupCountXxX_dedup_asXyX_projectXa_bX_by_byXselectXxX_selectXselectXyXXX()`
    `Traversal<Map<String,Object>,Map<String,Object>>` | `get_g_injectXname_marko_age_nullX_selectXname_ageX()`
    `Traversal<Integer,Integer>` | `get_g_injectXnull_1_3_nullX_asXaX_selectXaX()`
    `Traversal<Integer,Integer>` | `get_g_injectXnull_1_3_nullX()`
    `Traversal<Integer,Integer>` | `get_g_injectXnull_nullX()`
    `Traversal<Integer,Integer>` | `get_g_injectXnullX()`
    `Traversal<Vertex,String>` | `get_g_VX1X_injectXg_VX4XX_out_name(Object v1Id, Object v4Id)`
    `Traversal<Vertex,String>` | `get_g_VX1X_out_injectXv2X_name(Object v1Id, Object v2Id)`
    `Traversal<Vertex,Path>` | `get_g_VX1X_out_name_injectXdanielX_asXaX_mapXlengthX_path(Object v1Id)`
    `Traversal<Vertex,Object>` | `get_g_VX1X_valuesXageX_inject(Object vid1)`
    `Traversal<Vertex,Object>` | `get_g_VX1X_valuesXageX_injectXnull_nullX(Object vid1)`
    `Traversal<Vertex,Object>` | `get_g_VX1X_valuesXageX_injectXnullX(Object vid1)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.InjectTest

      `g_inject, g_injectX10_20_null_20_10_10X_groupCountXxX_dedup_asXyX_projectXa_bX_by_byXselectXxX_selectXselectXyXXX, g_injectXname_marko_age_nullX_selectXname_ageX, g_injectXnull_1_3_nullX_asXaX_selectXaX, g_injectXnull_1_3_nullX, g_injectXnull_nullX, g_injectXnullX, g_VX1X_injectXg_VX4XX_out_name, g_VX1X_out_injectXv2X_name, g_VX1X_out_name_injectXdanielX_asXaX_mapXlengthX_path, g_VX1X_valuesXageX_inject, g_VX1X_valuesXageX_injectXnull_nullX, g_VX1X_valuesXageX_injectXnullX`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_VX1X_out_injectXv2X_name

          public Traversal<Vertex,String> get_g_VX1X_out_injectXv2X_name(Object v1Id,
                                                                         Object v2Id)

      Specified by:
        `get_g_VX1X_out_injectXv2X_name` in class `InjectTest`

    - #### get_g_VX1X_out_name_injectXdanielX_asXaX_mapXlengthX_path

          public Traversal<Vertex,Path> get_g_VX1X_out_name_injectXdanielX_asXaX_mapXlengthX_path(Object v1Id)

      Specified by:
        `get_g_VX1X_out_name_injectXdanielX_asXaX_mapXlengthX_path` in class `InjectTest`

    - #### get_g_VX1X_injectXg_VX4XX_out_name

          public Traversal<Vertex,String> get_g_VX1X_injectXg_VX4XX_out_name(Object v1Id,
                                                                             Object v4Id)

      Specified by:
        `get_g_VX1X_injectXg_VX4XX_out_name` in class `InjectTest`

    - #### get_g_injectXnull_1_3_nullX

          public Traversal<Integer,Integer> get_g_injectXnull_1_3_nullX()

      Specified by:
        `get_g_injectXnull_1_3_nullX` in class `InjectTest`

    - #### get_g_injectXnull_nullX

          public Traversal<Integer,Integer> get_g_injectXnull_nullX()

      Specified by:
        `get_g_injectXnull_nullX` in class `InjectTest`

    - #### get_g_injectXnullX

          public Traversal<Integer,Integer> get_g_injectXnullX()

      Specified by:
        `get_g_injectXnullX` in class `InjectTest`

    - #### get_g_inject

          public Traversal<Integer,Integer> get_g_inject()

      Specified by:
        `get_g_inject` in class `InjectTest`

    - #### get_g_VX1X_valuesXageX_injectXnull_nullX

          public Traversal<Vertex,Object> get_g_VX1X_valuesXageX_injectXnull_nullX(Object vid1)

      Specified by:
        `get_g_VX1X_valuesXageX_injectXnull_nullX` in class `InjectTest`

    - #### get_g_VX1X_valuesXageX_injectXnullX

          public Traversal<Vertex,Object> get_g_VX1X_valuesXageX_injectXnullX(Object vid1)

      Specified by:
        `get_g_VX1X_valuesXageX_injectXnullX` in class `InjectTest`

    - #### get_g_VX1X_valuesXageX_inject

          public Traversal<Vertex,Object> get_g_VX1X_valuesXageX_inject(Object vid1)

      Specified by:
        `get_g_VX1X_valuesXageX_inject` in class `InjectTest`

    - #### get_g_injectX10_20_null_20_10_10X_groupCountXxX_dedup_asXyX_projectXa_bX_by_byXselectXxX_selectXselectXyXXX

          public Traversal<Integer,Map<String,Object>> get_g_injectX10_20_null_20_10_10X_groupCountXxX_dedup_asXyX_projectXa_bX_by_byXselectXxX_selectXselectXyXXX()

      Specified by:
        `get_g_injectX10_20_null_20_10_10X_groupCountXxX_dedup_asXyX_projectXa_bX_by_byXselectXxX_selectXselectXyXXX` in class `InjectTest`

    - #### get_g_injectXname_marko_age_nullX_selectXname_ageX

          public Traversal<Map<String,Object>,Map<String,Object>> get_g_injectXname_marko_age_nullX_selectXname_ageX()

      Specified by:
        `get_g_injectXname_marko_age_nullX_selectXname_ageX` in class `InjectTest`

    - #### get_g_injectXnull_1_3_nullX_asXaX_selectXaX

          public Traversal<Integer,Integer> get_g_injectXnull_1_3_nullX_asXaX_selectXaX()

      Specified by:
        `get_g_injectXnull_1_3_nullX_asXaX_selectXaX` in class `InjectTest`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.